Page MenuHomePhabricator

[RISCV] Promote f16 log/pow/exp/sin/cos/etc. to f32 libcalls.
ClosedPublic

Authored by craig.topper on Nov 12 2021, 6:59 PM.

Diff Detail

Event Timeline

craig.topper created this revision.Nov 12 2021, 6:59 PM
craig.topper requested review of this revision.Nov 12 2021, 6:59 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 12 2021, 6:59 PM
Herald added a subscriber: MaskRay. · View Herald Transcript
frasercrmck accepted this revision.Nov 23 2021, 4:21 AM

LGTM

llvm/test/CodeGen/RISCV/half-intrinsics.ll
1362

Typo in comment? Looks like it's copied over from float-intrinsics.ll and double-intrinsics.ll?

This revision is now accepted and ready to land.Nov 23 2021, 4:21 AM
This revision was landed with ongoing or failed builds.Nov 29 2021, 6:50 PM
This revision was automatically updated to reflect the committed changes.